package a3test.z_axis;

import jp.sourceforge.acerola3d.a3.*;

public class UpperDirectionTest {
    public static void main(String args[]) throws Exception {
        jp.sourceforge.acerola3d.A23.setDefaultUpperDirection(A3Object.UpperDirection.Z);
        A3Window w = new A3Window(300,300);
        w.setNavigationMode(A3CanvasInterface.NaviMode.SIMPLE);
        Action3D a3 = new Action3D("x-res:///axis.a3");
        //a3.setLoc(0.0,-5.0,0.0);
        w.add(a3);

        try{Thread.sleep(1000);}catch(Exception e){;}
        //a3.setLoc(0.0,1.0,0.0);

        System.out.println("cameraLoc:"+w.getCameraLoc());
        System.out.println("cameraQuat:"+w.getCameraQuat());
    }
}
